Skip to main content
`Ctrl`+`K`

# MatHtoolGetPermutationTarget

Gets the permutation associated to the target cluster for a `MATHTOOL` matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHtoolGetPermutationTarget(Mat A, IS *is)

## Input Parameter

- A - hierarchical matrix

## Output Parameter

- is - permutation

## See Also

Matrices, `Mat`, `MATHTOOL`, `MatHtoolGetPermutationSource()`, `MatHtoolUsePermutation()`

## Level

advanced

## Location

src/mat/impls/htool/htool.cxx

## Implementations

MatHtoolGetPermutationTarget_Htool() in src/mat/impls/htool/htool.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages